// This may look like C code, but it is really -*- C++ -*-
/****************************************************************************
** $Id: fancydb.h 868 2011-01-26 19:51:33Z fancylibs $
**
** Licensed under the MPL 2.0
**
** Author: Wolfgang Glas / EV-i
**
** ABI macros for fancydb.
**
*****************************************************************************/

#ifndef FANCYDB_H
#define FANCYDB_H

#ifdef WIN32
# ifdef __GNUC__
#  ifdef BUILD_fancydb_DLL
#   define FANCYDB_API __attribute__((dllexport))
#  else
#   define FANCYDB_API __attribute__((dllimport))
#  endif
# else
#  ifdef FANCYDB_BUILD_SLIB
#   define FANCYDB_API __declspec(dllexport)
#  else
#   define FANCYDB_API __declspec(dllimport)
#  endif
# endif
#else
# ifdef __GNUC__
#  define FANCYDB_INTERNAL_API __attribute__((visibility("hidden")))
# endif
#endif

#ifndef FANCYDB_INTERNAL_API
#define FANCYDB_INTERNAL_API
#endif

#ifndef FANCYDB_API
#define FANCYDB_API
#endif

#endif
